@import url('https://fonts.googleapis.com/css2?family=Manrope&display=swap');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-size: 1.3rem;
  font-family: "Manrope", sans-serif;
  font-weight: 400;
  letter-spacing: .2em;
  color: rgb(255, 255, 255);
  min-height: 100vh;
  background-color: #141313;
  display: grid;
  grid-template-rows: auto 1fr auto;
}

p {
  font-size: 1rem;
  letter-spacing: .1rem;
}

h1 {
  font-size: 2.1rem;
}

h2 {
  font-size: 2rem;
  padding: 2rem;
}

.services {
  text-align: center;
  width: 80%;
  margin: auto;
  line-height: 1.7rem;
}

header {
  min-height: 50px;
}

.nav-content{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  border-bottom: 1px solid hsla(0, 0%, 0%, 0.349);
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  max-width: 82.5rem;
  padding: 1rem;
  min-height: 13rem;
}

.nav_links{
  list-style: none;
  display: flex;
  grid-column-gap: 1.5rem;
  padding-top: 5rem;
  color: #fff;
}

.nav_links li a{
  transition: all 0.3s ease 0s;
  text-decoration: none;
  color: white;
}

.nav_links li a:visited{
  color: rgb(255, 255, 255);
}

.nav_links li a:hover{
  color: #89dbe9;
  background-color: rgba(0, 0, 0, 0);
}

.link {
  background: none;
  border: none;
  text-decoration: none;
  font-size: inherit;
  font-family: inherit;
  font-weight: 400;
  letter-spacing: .2em;
  color: rgb(255, 255, 255);
  cursor: pointer;
  padding: 0;
}

.dropdown.active > .link,
 .link:hover {
  color: #89dbe9;
}
.link-side {
  background: none;
  border: none;
  text-decoration: none;
  font-size: inherit;
  font-family: inherit;
  font-weight: inherit;
  letter-spacing: inherit;
  color: #000000;
  cursor: pointer;
  padding: 16px;
}

.dropdown {
  position: relative;
}

.dropdown-menu {
  position: absolute;
  left: 0;
  top: calc(100% + 1rem);
  background-color: #141313;
  z-index: 2;
  padding: .75rem;
  border-radius: .25rem;
  box-shadow: 0 2px 5px 0 #89dbe9;
  opacity: 0;
  pointer-events: none;
  transform: translateY(-10px);
  transition: opacity 150ms ease-in, transform 150ms ease-in-out;
}

.dropdown.active > .link + .dropdown-menu {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.information-grid {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  gap: 2rem;
}

.dropdown-links {
  display: flex;
  flex-direction: column;
  gap: .25rem;
}

.dropdown-heading {
  color: #89dbe9;
  animation: glow  5s linear infinite;
  padding-bottom: .5rem;
}

@keyframes glow {
  0% {
    text-shadow: 0 0 5px #89dbe9;
  }
  10% {
    text-shadow: 0 0 0px #89dbe969;
  }
  50% {
    text-shadow: 0 0 5px #89dbe9;
  }
  75% {
    text-shadow: 0 0 0px #89dbe9;
  }
  100% {
    text-shadow: 0 0 5px #89dbe960;
  }
}

.bottom-link-font {
  position: absolute;
  font-size: 1rem;
  top: 0;
}

.social-links{
  grid-column-gap: .875rem;
  justify-content: flex-end;
  display: flex;
  padding-top: 5rem;
}

.social-links a{
  font-size: 1.5rem;
  width: 30px;
  }

  .social-links a:visited{
    color:white;
  }

.logo {
  cursor: pointer;
}

.logo img {
  height: 15vh;
  padding: .5rem;
  padding-right: 8rem;
}

.top-contact {
  text-align: right; 
  padding: 0rem; 
  display: inline; 
  position: fixed; 
  top: 0rem; 
  right: 1rem;
  font-size: 1rem;
}

.num-email{
  text-decoration: none; 
  color: white;
}

.num-email:hover{
  color: #89dbe9;
}

.fa-brands:hover{
  color: #89dbe9;
}

/*Carousel*/

.carousel {
  width: 100vw;
  height: 100vh;
  position: relative;
}

.carousel > ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.slide{
  position: absolute;
  inset: 0;
  opacity: 0;
  transition: 200ms opacity ease-in-out;
  transition-delay: 200ms;
}

.slide[data-active] {
  opacity: 1;
  z-index: 1;
  transition-delay: 0ms;
}

/*.slide > img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}*/

@media only screen and (min-width: 300px){
  .image1{
    display: none;
  }
  .image3{
    display: none;
  }
  .image4{
    display: none;
  }

  .image2{
    display: block;
    padding-top: 5rem;
    width: 100%;
    height: 100%;
  }
  .image3{
    display: block;
    padding: auto;
    width: 90%;
    height: 50%;
    margin-left: auto;
    margin-right: auto;
    margin-top: auto;
    border-radius: 20px 20px 0 0;
  }
  .service-text {
    text-align: center;
    background-color: #fff;
    color: #000000;
    width: 90%;
    margin: auto;
    height: 60%;
    border-radius: 0px 0px 20px 20px;
    margin-bottom: 2rem;
    padding-bottom: 0px;
    padding-top: 20px;
    padding-right: .5rem;
    padding-left: .5rem;
    }
  .service-link {
    text-decoration: none;
    color: #000000;
    padding: .8rem;
    border: 1px solid black;
    border-radius: 20px;
    font-size: .75rem;
    margin-bottom: 10px;
    padding-bottom: 10px;
  }
  .services {
    text-align: center;
    width: 80%;
    margin: auto;
    line-height: 1.7rem;
  }
  .figure-size {
    padding-bottom: 100px;
  }
  .num-email{
    text-decoration: none; 
    color: white;
    font-size: .75rem;
  }
  .top-contact {
    display: absolute;
    right: 5rem;
  }
  .nav-content{
    border: none;
  }
  .our-services 
  {
    line-height: 2rem;
    font-weight: 400;
  }

  .address{
    text-align: center;
    margin-bottom: 80px;
    font-size: 1rem;
    }

  .address h3{
      font-weight: 400;
      }


@keyframes slide {
  from{
    transform: translateX(0%);
  }
  to{
    transform: translateX(-100%);
  }
}

  .logos {
    overflow: hidden;
    padding: 50px 0;
    background: #ffffff;
    width: 320px;
    white-space: nowrap;
    position: relative;
    border-radius: 50px;
    display: block;
    margin-left: auto;
    margin-top: 2rem;
    margin-right: auto;
  }

  .logos:before,
  .logos:after {
    position: absolute;
    top: 0;
    width: 2rem;
    height: 100%;
    content: "";
    z-index: 10;
  }

  .logos:before {
    left: 0;
    background: linear-gradient(to left, rgb(255, 255, 255, 0) , white);
  }

  .logos:after {
    right: 0;
    background: linear-gradient(to right, rgb(255, 255, 255, 0) , white);
  }

  .logo:hover .logos-slide {
    animation-play-state: paused;
  }

  .logos-slide {
    animation: 35s slide infinite linear;
    display: inline-block;
  }

  .logos-slide img {
    height: 100px;
    margin: 0 40px;
  }
  .accreditations {
    color: #000000;
    text-align: center;
    padding-bottom: 2rem;
    font-size: .5rem;
  }
}

.carousel-button {
  position: absolute;
  background: none;
  border: none;
  font-size: 4rem;
  top: 50%;
  z-index: 2;
  transform: translateY(-50%);
  color: rgba(255, 255, 255, .5);
  cursor: pointer;
  border-radius: .25rem;
  padding: 0 .5rem;
  background-color: rgba(0, 0, 0, 0.1);
}

.carousel-button:hover,
.carousel-button:focus {
  color: white;
  background-color: rgba(0, 0, 0, 0.2);
}

.carousel-button:focus {
  outline: 1px solid black;
}

.carousel-button.prev {
  left: 1rem;
}

.carousel-button.next {
  right: 1rem;
}

.overlay-text {
  position: relative;
  top: -90%; 
  left: 70%; 
  transform: translate(-20%, -20%); 
  background-color: #000000; 
  color: #fff; 
  padding: 30px 10px; 
  font-size: 2rem; 
  text-align: center;
  background-color: rgba(0, 0, 0, .5);
  border-radius: 20px;
  width: 400px;
}
/*overlay text*/

.services-pics {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0rem;
  margin-left: auto;
  margin-right: auto;
  max-width: 82.5rem;
  padding: 2rem 0rem;
}

@media only screen and (min-width: 300px){
  .overlay-text{
    position: relative;
  top: -59%; 
  left: 25%; 
  transform: translate(-20%, -20%); 
  background-color: #000000; 
  color: #ffffff; 
  padding: 20px 10px; 
  font-size: 1rem; 
  text-align: center;
  background-color: rgba(0, 0, 0, .5);
  border-radius: 20px;
  width: 300px;
  }
  h1 {
    font-size: .5rem;
  }
  .carousel-button.next{
  transform: translateY(80%);
  }
  .carousel-button.prev{
    transform: translateY(80%);
    }
    .services {
      padding-bottom: 2rem;
    }
    .carousel {
      height: 25rem;
    }
    .footer-link {
      font-size: .75rem;
      
      width: 200px;
      height: 60px;
    }
}

@media only screen and (min-width: 390px){
  .overlay-text{
    position: relative;
  top: -71%; 
  left: 35%; 
  transform: translate(-20%, -20%); 
  background-color: #000000; 
  color: #ffffff; 
  padding: .9rem 10px; 
  font-size: 1.25rem; 
  text-align: center;
  background-color: rgba(0, 0, 0, .5);
  border-radius: 20px;
  width: 300px;
  }
}

/*@media only screen and (min-width: 500px){
  .overlay-text{
    position: relative;
  top: -90%; 
  left: 60%; 
  transform: translate(-20%, -20%); 
  background-color: #000000; 
  color: #ffffff; 
  padding: 30px 10px; 
  font-size: 2rem; 
  text-align: center;
  background-color: rgba(0, 0, 0, .5);
  border-radius: 20px;
  width: 300px;
  }
}*/

@media only screen and (min-width: 1000px){

  .services {
    text-align: center;
    width: 60%;
    margin: auto;
    line-height: 1.7rem;
  }
  .figure-size {
    padding-bottom: 100px;
    width: 100%;

    height: 500px;
  }
  .services-pics {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
    column-gap: 1rem;
    margin-left: auto;
    margin-right: auto;
    max-width: 82.5rem;
    padding: 2rem 0rem;
  }
  .image3 {
    height: 250px;
  }
  .image2 {
    display: none;
  }
  .image1 {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
  .carousel {
  width: 100vw;
  height: 100vh;
}

.overlay-text {
  position: relative;
  top: -90%; 
  left: 70%; 
  transform: translate(-20%, -20%); 
  background-color: #000000; 
  color: #fff; 
  padding: 30px 10px; 
  font-size: 2rem; 
  text-align: center;
  background-color: rgba(0, 0, 0, .5);
  border-radius: 20px;
  width: 400px;
}

h1 {
  font-size: 1.5rem;
  font-weight: 400;
}

.logos {
  width: 800px;
  margin-bottom: 5rem;
}

.logos-slide img {
  height: 150px;
  margin: 0 40px;
}

.accreditations {
  color: #000000;
  text-align: center;
  padding-bottom: 2rem;
  font-size: 1rem;
  font-weight: 500;
}

.footer-link {
  font-size: .75rem;
  
  width: 400px;
  height: 60px;
}
}

footer{
  min-height: 50px;
}

.footer-bottom{
  display: flex;
  justify-content: space-between;
  padding: 1rem;
  font-size: .875rem;
  border-top: 1px solid hsla(0, 0%, 0%, 0.349);
  margin-left: 1.25rem;
  margin-right: 1.25rem;
}

.footer-bottom a{
  text-decoration: none;
  color: rgb(255, 255, 255);
  font-family: "Manrope", sans-serif;
  font-weight: 500;
}

.footer-link:hover{
  color: #89dbe9;
}

.footer-container{
  border-top: 1px solid hsla(0, 0%, 0%, 0.349);
}

.footer-content{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 1rem;
  grid-row-gap: 3.75rem;
  padding-left: 1rem;
}

.footernav{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 2rem;
}

.footer-nav-category{
  color: #ffffff9c;
  font-size: 1rem;
  padding: 1rem 0;
}

.footer-pages{
  display: grid;
  grid-template-columns: max-content max-content 1fr;
  grid-row-gap: 1rem;
  grid-column-gap: 1.6rem;
}

.footer-pages a{
  color: #ffffff;
  text-decoration: none;
  font-size: 1rem;
}

.footer-pages a:hover{
  color: #89dbe9;
}

.footer-column2{
  display: flex;
}

.footer-socials{
  display: flex;
  grid-column-gap: 5px;
}

.footer-social:hover{
  color: #89dbe9;
}

.footer-social{
  border: 1px solid rgb(255, 255, 255);
  border-radius: 3.125rem;
  text-decoration: none;
  font-size: 14px;
  color: #ffffff;
  padding: .625rem .8rem;
  font-weight: 500;
}

.footer-contact{
  text-decoration: none;
  color:#ffffff;
  font-size: 3rem;
  grid-area: 2 / 2 / 3 / 2;
}

.footer-pages-2{
  display: grid;
  grid-template-columns: max-content;
  grid-row-gap: 1rem;
}

.footer-pages-2 a{
  text-decoration: none;
  color: #ffffff;
  font-size: 1rem;
}

.footer-pages-2 a:hover{
  color: #89dbe9;
}

@media screen and (max-width: 1350px){
  .nav_links{
    display: none;
  }

  .information-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: .5rem;
    width: 100%;
  }
  
  .dropdown-links {
    display: flex;
    flex-direction: column;
    gap: .25rem;
  }

  .social-links{
    display: none;
  }
  .footer-content{
    display: flex;
    flex-flow: wrap;
    grid-column-gap: 8rem;
    margin-top: 2rem;
  }

  .link-footer{
    left: calc(100% - 12rem); 
    top: calc(100% - 31rem);
    width: 20rem;
    
  }

  .bottom-link-font {
    position: absolute;
    font-size: 1rem;
    top: 0;
  }
}

.footer-contact:hover{
  color: #89dbe9;
}

/*Footer contact responsiveness*/
@media screen and (max-width: 900px){
  .footer-contact{
    font-family: "Manrope", sans-serif;
    font-size: 2.5rem;
  }
}
@media screen and (max-width: 790px){
  .footer-contact{
    font-family: "Manrope", sans-serif;
    font-size: 1rem;
    letter-spacing: .1rem;
    padding-bottom: 1rem;
  }
}
/*Footer contact responsiveness*/

/*Both columns of footer navigation responsiveness*/
@media screen and (max-width: 479px){
  .footernav{
    grid-template-rows: auto auto;
    letter-spacing: 0.1rem;
    grid-row-gap: 2rem;
  }
}
@media screen and (max-width: 767px){
  .footernav{
    display: flex;
    flex-wrap: wrap;
  }
}
@media screen and (max-width: 1100px){
  .footernav{
    grid-column-gap: 4rem;
  }
}
/*Both columns of footer navigation responsiveness*/

/*Footer social media buttons responsiveness*/
@media screen and (max-width: 991px) {
  .footer-socials {
      grid-row-gap: 10px;
      flex-wrap: wrap;
  }
}
@media screen and (max-width: 435px) {
  .footer-socials {
      grid-row-gap: 10px;
      letter-spacing: 0.1rem;
  }
}
/*Footer social media buttons responsiveness*/

/*Bottom of the footer responsiveness*/
@media screen and (max-width: 300px) {
  .footer-bottom {
      letter-spacing: 0.1rem;
      margin-left: 1;
      margin-right: 1;
      padding-left: 0;
      padding-right: 0;
  }
}
/*Bottom of the footer responsiveness*/

@media screen and (min-width: 1350px) {
  .footer-container {
      max-width: 83.125rem;
      margin-left: auto;
      margin-right: auto;
  }
}
@media screen and (min-width: 1440px) {
  .footer-container {
      padding-left: 0;
      padding-right: 0;
  }
}

.w3-teal{
  height: 8%;
  padding: 0 30px;
  text-decoration: none;
  display: none;
  align-items: center;
  color: black;
}
@media(max-width: 1350px){
  .w3-teal{
    display: flex;
  }
  .top-contact{
    text-align: right; 
    padding: .5rem; 
    display: inline; 
    position: absolute; 
    top: 10.2rem; 
    right: 1rem;
    font-size: .7rem;
  }
  }

  nav a {
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    display: flex;
    align-items: center;
    color: black;
  }

  

nav a:hover{
  background-color: #f0f0f0;
}
.sidebar{
  position: fixed;
  top: 0px;
  right: 0px;
  height: 100vh;
  width: 100%;
  z-index: 999;
  background-color: rgba(255, 255, 255, 0.3);
  backdrop-filter: blur(10px);
  box-shadow: -10px 0px 10px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.sidebar li{
  width: 100%;
}
.sidebar a{
  width: 100%;
}
.menu-button{
  display: none;
}
@media(max-width: 800px){
    .menu-button{
      display: block;
    }
  }
  @media(max-width: 400px){
    .sidebar{
      width: 100%;
    }
}



.sidebar-style li{
  list-style: none;
}

.w3-bar-item{
  padding: 1rem;
}

/*contact-us*/
.contact-title{
  text-align: center;
  margin-top: 10px;
  color: rgb(255, 255, 255);
  text-transform: uppercase;
  transition: all 4s ease-in-out;
  padding-top: 5rem;
}
.contact-title h1{
  font-size: 32px;
  line-height: 40px;
  font-weight: 400;
}
.contact-title h2{
  font-size: 16px;
  font-weight: 400;
}
.contact-form{
  text-align: center;
  margin-bottom: 80px;
}
form{
  margin-top: 50px;
  transition: all 4s ease-in-out;
}
.form-control{
  width: 320px;
  background: transparent;
  border: none;
  outline: none;
  border-bottom: 1px solid gray;
  color: #ffffff;
  font-size: 18px;
  margin-bottom: 16px;
}
input{
  height: 45px;
}
form .submit{
  background: #ffffff;
  border-color: transparent;
  color: #000000;
  font-size: 20px;
  font-weight: bold;
  letter-spacing: 2px;
  height: 50px;
  margin-top: 20px;
}
form .submit:hover{
  background-color: #ffffff;
  cursor: pointer;
}
